# Uses of Class
org.codehaus.janino.Java.FunctionDeclarator.FormalParameter

Packages that use Java.FunctionDeclarator.FormalParameter
Package
Description
org.codehaus.janino
The core of the Janino Java compiler.
org.codehaus.janino.util
Application-independent helper classes.

## Uses of Java.FunctionDeclarator.FormalParameter in org.codehaus.janino

Fields in org.codehaus.janino declared as Java.FunctionDeclarator.FormalParameter
Modifier and Type
Field
Description
`final Java.FunctionDeclarator.FormalParameter`
Java.ForEachStatement.`currentElement`
The "current element local variable declaration" part of the "enhanced FOR statement".
`final Java.FunctionDeclarator.FormalParameter`
Java.ParameterAccess.`formalParameter`
The parameter to access.
`final Java.FunctionDeclarator.FormalParameter[]`
Java.FunctionDeclarator.FormalParameters.`parameters`
The parameters of this function, but not the `Java.FunctionDeclarator.FormalParameters.variableArity`.
Methods in org.codehaus.janino that return Java.FunctionDeclarator.FormalParameter
Modifier and Type
Method
Description
`Java.FunctionDeclarator.FormalParameter`
Parser.`parseFormalParameter(boolean[] hasEllipsis)`
FormalParameter := [ 'final' ] Type FormalParameterRest
`Java.FunctionDeclarator.FormalParameter`
Parser.`parseFormalParameterRest(Java.Modifier[] modifiers, Java.Type type, boolean[] hasEllipsis)`
FormalParameterRest := [ '.' '.' '.' ] Identifier BracketsOpt
Methods in org.codehaus.janino with parameters of type Java.FunctionDeclarator.FormalParameter
Modifier and Type
Method
Description
`Java.LocalVariable`
UnitCompiler.`getLocalVariable(Java.FunctionDeclarator.FormalParameter parameter)`
`Java.LocalVariable`
UnitCompiler.`getLocalVariable(Java.FunctionDeclarator.FormalParameter parameter, boolean isVariableArityParameter)`
Constructors in org.codehaus.janino with parameters of type Java.FunctionDeclarator.FormalParameter
Modifier
Constructor
Description
``
`ForEachStatement(Location location, Java.FunctionDeclarator.FormalParameter currentElement, Java.Rvalue expression, Java.BlockStatement body)`
``
`FormalParameters(Location location, Java.FunctionDeclarator.FormalParameter[] parameters, boolean variableArity)`
``
`ParameterAccess(Location location, Java.FunctionDeclarator.FormalParameter formalParameter)`

## Uses of Java.FunctionDeclarator.FormalParameter in org.codehaus.janino.util

Methods in org.codehaus.janino.util that return Java.FunctionDeclarator.FormalParameter
Modifier and Type
Method
Description
`Java.FunctionDeclarator.FormalParameter`
DeepCopier.`copyFormalParameter(Java.FunctionDeclarator.FormalParameter subject)`
`Java.FunctionDeclarator.FormalParameter[]`
DeepCopier.`copyFormalParameters(Java.FunctionDeclarator.FormalParameter[] subject)`
Methods in org.codehaus.janino.util with parameters of type Java.FunctionDeclarator.FormalParameter
Modifier and Type
Method
Description
`Java.FunctionDeclarator.FormalParameter`
DeepCopier.`copyFormalParameter(Java.FunctionDeclarator.FormalParameter subject)`
`Java.FunctionDeclarator.FormalParameter[]`
DeepCopier.`copyFormalParameters(Java.FunctionDeclarator.FormalParameter[] subject)`
`void`
AbstractTraverser.`traverseFormalParameter(Java.FunctionDeclarator.FormalParameter formalParameter)`
`void`
Traverser.`traverseFormalParameter(Java.FunctionDeclarator.FormalParameter formalParameter)`